
import os
import re
import sys
import time

def find_files_with_pattern(root_dir, pattern):
    matching_files = []
    for dirpath, _, filenames in os.walk(root_dir):
        for filename in filenames:
            if re.match(pattern, filename):
                matching_files.append(os.path.join(dirpath, filename))
    return matching_files

def xxx(root_dir, pattern):
    # This function finds all files in a directory and its subdirectories that match a given pattern
    return find_files_with_pattern(root_dir, pattern)

